com.trendmicro.ds.platform.rest.object.administrators

## Enum Administrator.MFAType

- java.lang.Object
- - java.lang.Enum<Administrator.MFAType>
  - - com.trendmicro.ds.platform.rest.object.administrators.Administrator.MFAType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Administrator.MFAType>
  Enclosing class:
    Administrator

      public static enum Administrator.MFAType
      extends java.lang.Enum<Administrator.MFAType>

  Types of multi-factor authentication supported by Deep Security for administrator access.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL_TOTP` RFC 6238 Local time-based one-time password (TOTP) is enabled as an authentication factor for this administrator.
    `NONE` Multi-factor authentication is not enabled for this administrator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Administrator.MFAType` | `forValue(int value)`
    `int` | `getValue()`
    `static Administrator.MFAType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Administrator.MFAType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Administrator.MFAType NONE

      Multi-factor authentication is not enabled for this administrator.

    - #### LOCAL_TOTP

          public static final Administrator.MFAType LOCAL_TOTP

      RFC 6238 Local time-based one-time password (TOTP) is enabled as an authentication factor for this administrator.

  - ### Method Detail

    - #### values

          public static Administrator.MFAType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Administrator.MFAType c : Administrator.MFAType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Administrator.MFAType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static Administrator.MFAType forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.